<template>
  <div class="home-content">
    <div class="first-section">
      <div class="container">
        <div class="content-box">
          <div class="left-side form">
            <div class="form-box" v-if="signUp">
              <form>
                <div class="form-title">
                  <span>Join the secure registration</span>
                </div>
                <div class="form-buttons">
                  <div class="btn-google login">
                    <button>Google Sign In</button>
                  </div>
                  <div class="btn-facebook login">
                    <button>Facebook Login</button>
                  </div>
                </div>
                <div class="form-inputs">
                  <div class="top level">
                    <div class="name item">
                      <input
                        type="text"
                        placeholder="Your Name"
                        class="low-item input-name"
                      />
                    </div>
                    <div class="email item">
                      <input type="text" placeholder="Email" class="low-item" />
                    </div>
                  </div>
                  <div class="middle level">
                    <div class="countries item">
                      <select class="low-item country">
                        <option value="us">United States</option>
                        <option value="canada">Canada</option>
                        <option value="ukr">Ukraine</option>
                      </select>
                    </div>
                    <div class="password item">
                      <input
                        type="password"
                        placeholder="Password"
                        class="low-item"
                      />
                    </div>
                  </div>
                  <div class="bottom level">
                    <div class="find item">
                      <select class="bottom-item">
                        <option value="seek">I am a Man seeking a Woman</option>
                        <option value="w-seek">
                          I am a Woman seeking a Man
                        </option>
                      </select>
                    </div>
                  </div>
                </div>
                <div class="form-privacy-policy">
                  <div class="checkbox">
                    <input type="checkbox" />
                  </div>
                  <div class="rules">
                    <span
                      >I agree to the Terms&Conditions and Privacy Policy</span
                    >
                  </div>
                </div>
                <div class="form-button">
                  <button>Find your matches</button>
                </div>
              </form>
              <div class="sign-in-block">
                <div class="question">
                  <span>Already have an account?</span>
                </div>
                <div class="sign-in">
                  <span @click="signUp = !signUp">Sign In</span>
                </div>
              </div>
            </div>
            <div class="form-box form-box-1" v-else-if="!signIn">
              <form>
                <div class="form-title">
                  <span>Join the secure registration</span>
                </div>
                <div class="form-buttons">
                  <div class="btn-google login">
                    <button>Google Sign In</button>
                  </div>
                  <div class="btn-facebook login">
                    <button>Facebook Login</button>
                    <span class="text">
                      We will never post or share any information to your
                      Facebook page
                    </span>
                  </div>
                </div>
                <div class="form-inputs">
                  <div class="login level">
                    <div class="name item">
                      <input
                        type="text"
                        placeholder="Your Name"
                        class="low-item input-name"
                      />
                    </div>
                    <div class="email item">
                      <input
                        type="password"
                        placeholder="Password"
                        class="low-item"
                      />
                    </div>
                  </div>
                </div>
                <div class="form-remember">
                  <div class="checkbox">
                    <input type="checkbox" />
                  </div>
                  <div class="remember-text">
                    <span>Remember me on this device</span>
                  </div>
                </div>
                <div class="form-button">
                  <button>Login</button>
                </div>
                <div class="reset">
                  <span @click="signIn = !signIn">Reset My Password</span>
                </div>
              </form>
            </div>
            <div class="form-box form-box-2" v-else>
              <form>
                <div class="form-title forgot-password">
                  <span>Forgot Password?</span>
                </div>
                <div class="form-description">
                  <span
                    >If you have forgotten your password, please type in your
                    email address and we will send you an email with a link to
                    reset your password</span
                  >
                </div>
                <div class="form-inputs">
                  <div class="email-box level">
                    <div class="email item">
                      <input
                        type="text"
                        placeholder="Email"
                        class="low-item"
                      />
                    </div>
                  </div>
                </div>
                <div class="form-button submit">
                  <button>Submit</button>
                </div>
                <div class="login-text">
                  <span>Login</span>
                </div>
              </form>
            </div>
          </div>
          <div class="right-side text">
            <div class="title">
              <span>Find your ideal partner with MilanaDate</span>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="second-section">
      <Carousel />
    </div>
    <div class="third-section">
      <Options />
    </div>
    <div class="welcome">
      <Welcome />
    </div>
    <div class="partner">
      <Partner />
    </div>
  </div>
</template>

<script>
import Options from "./Options.vue";
import Welcome from "./Welcome.vue";
import Partner from "./Partner.vue";
import Carousel from "./Carousel.vue";
export default {
  name: "Home",
  data: () => ({
    signUp: true,
    signIn: false,
    resetPassword: false,
  }),
  components: {
    Options,
    Welcome,
    Partner,
    Carousel,
  },
};
</script>

<style lang='scss' src='./styles.scss'>
</style>
